commit:     c069fb2933f225dcdaf0965cabd189d09ecc08ed
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Thu Apr  5 08:10:49 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Thu Apr  5 08:13:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c069fb29

sys-process/procps: Bump to version 3.3.13

Package-Manager: Portage-2.3.28, Repoman-2.3.9

 sys-process/procps/Manifest             |  1 +
 sys-process/procps/procps-3.3.13.ebuild | 81 +++++++++++++++++++++++++++++++++
 2 files changed, 82 insertions(+)

diff --git a/sys-process/procps/Manifest b/sys-process/procps/Manifest
index fbbaa4846c8..856107d8953 100644
--- a/sys-process/procps/Manifest
+++ b/sys-process/procps/Manifest
@@ -1 +1,2 @@
 DIST procps-ng-3.3.12.tar.xz 845484 BLAKE2B 
d317935e28de45ca5afa59ce33f85e286820a630c7fe036bddcf7a4418fa347cbc9cab39ef380f482ce13f47555598fd2419c67c3f861d7e4e2e89a9b2f4ae4a
 SHA512 
ea816740ff72cc53d99b5d2e78a511b627ea5b295e0efff67605c56d1ab075abc6b0e2da3df4facbfe903fc9d679e892d351b6884a966d37c6f4bfd9141a924b
+DIST procps-ng-3.3.13.tar.xz 901156 BLAKE2B 
ee172016800d3570855873e38fc6ce1b05bb4f43e960097adf6ae806ca8140636d14b0fa8185b19b5580476f5943370d2f128f56ef7274bc66b30c80e0fe9c8b
 SHA512 
9419a54b9875d4e33dd63face5c85cdbef1b8376416d469609128c9370c337a32b9b951c865e53c2ae6cfc8ce8eb7657f724a997cd3206d7af97ddf8a978e008

diff --git a/sys-process/procps/procps-3.3.13.ebuild 
b/sys-process/procps/procps-3.3.13.ebuild
new file mode 100644
index 00000000000..5e9a2b13394
--- /dev/null
+++ b/sys-process/procps/procps-3.3.13.ebuild
@@ -0,0 +1,81 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit toolchain-funcs flag-o-matic
+
+DESCRIPTION="standard informational utilities and process-handling tools"
+HOMEPAGE="http://procps-ng.sourceforge.net/ 
https://gitlab.com/procps-ng/procps";
+SRC_URI="mirror://sourceforge/${PN}-ng/${PN}-ng-${PV}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0/5" # libprocps.so
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="elogind +kill modern-top +ncurses nls selinux static-libs systemd test 
unicode"
+
+COMMON_DEPEND="
+       elogind? ( sys-auth/elogind )
+       ncurses? ( >=sys-libs/ncurses-5.7-r7:=[unicode?] )
+       selinux? ( sys-libs/libselinux )
+       systemd? ( sys-apps/systemd )
+"
+DEPEND="${COMMON_DEPEND}
+       elogind? ( virtual/pkgconfig )
+       ncurses? ( virtual/pkgconfig )
+       systemd? ( virtual/pkgconfig )
+       test? ( dev-util/dejagnu )"
+RDEPEND="
+       ${COMMON_DEPEND}
+       kill? (
+               !sys-apps/coreutils[kill]
+               !sys-apps/util-linux[kill]
+       )
+       !<sys-apps/sysvinit-2.88-r6
+"
+
+S="${WORKDIR}/${PN}-ng-${PV}"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-3.3.8-kill-neg-pid.patch # http://crbug.com/255209
+       "${FILESDIR}"/${PN}-3.3.11-sysctl-manpage.patch # 565304
+       "${FILESDIR}"/${PN}-3.3.12-proc-tests.patch # 583036
+
+       # Upstream fixes
+)
+
+src_configure() {
+       # 
http://www.freelists.org/post/procps/PATCH-enable-transparent-large-file-support
+       append-lfs-flags #471102
+       local myeconfargs=(
+               --docdir='$(datarootdir)'/doc/${PF}
+               $(use_with elogind)
+               $(use_enable kill)
+               $(use_enable modern-top)
+               $(use_with ncurses)
+               $(use_enable nls)
+               $(use_enable selinux libselinux)
+               $(use_enable static-libs static)
+               $(use_with systemd)
+               $(use_enable unicode watch8bit)
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_test() {
+       emake check </dev/null #461302
+}
+
+src_install() {
+       default
+       #dodoc sysctl.conf
+
+       dodir /bin
+       mv "${ED%/}"/usr/bin/ps "${ED%/}"/bin/ || die
+       if use kill; then
+               mv "${ED%/}"/usr/bin/kill "${ED}"/bin/ || die
+       fi
+
+       gen_usr_ldscript -a procps
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to